//------------------------------------------------------------------------------
// toolkit.js
// Copyright Creamsoft CO., LTD. 2011 All Rights Reserved.
//------------------------------------------------------------------------------

/**
 * t@C؂蕶'\''/'ɒu܂B
 *
 * @param path t@CpX
 * @return uꂽt@CpX
 */
function fsreplace(path) {
    return path.replace(/[\\\\]/g, '/');
}

/**
 * g܂B
 *
 * @param str 
 * @return gꂽ
 */
function trim(str) {
  return str.replace(/^[\s@]+|[\s@]+$/g, "");
}

/**
 * Ɋ܂܂邷ׂĂ̋󔒂菜܂B
 *
 * @param str 
 * @return 񒆂̋󔒂ꂽ
 */
function compress(str) {
  return str.replace(/[\s@]/g, "");
}

/**
 * w肳ꂽ[AhXgp\ȕō\Ă邩肵܂B
 *
 * @param address [AhX
 * @return gp\ȕō\Ăꍇ true łȂꍇ false
 */
function isValidMailAddress(address) {
  if (address.match(/.+@.+\..+/) && !address.match(/[^a-zA-Z0-9!#$%@+-=^_`~.]/)) {
    return true;
  }
  return false;
}

/**
 * w肳ꂽAJEggp\ȕō\Ă邩肵܂B
 *
 * @param account AJEg
 * @return gp\ȕō\Ăꍇ true łȂꍇ false
 */
function isValidAccount(account) {
  if (!account.match(/[^a-zA-Z0-9!#$%+-=^_`~.]/)) {
    return true;
  }
  return false;
}

/**
 * w肳ꂽhCgp\ȕō\Ă邩肵܂B
 *
 * @param domain hC
 * @return gp\ȕō\Ăꍇ true łȂꍇ false
 */
function isValidDomain(domain) {
  if (domain.match(/.+\..+/) && !domain.match(/[^a-zA-Z0-9-.]/)) {
    return true;
  }
  return false;
}

/**
 * w肳ꂽpX[hgp\ȕō\Ă邩肵܂B
 *
 * @param password pX[h
 * @return gp\ȕō\Ăꍇ true łȂꍇ false
 */
function isValidPassword(password) {
  if (!password.match(/[^a-zA-Z0-9!#$%@+-=_.]/)) {
    return true;
  }
  return false;
}

/**
 * w肳ꂽIPAhXgp\ȕō\Ă邩肵܂B
 * ̃\bh́A* (AX^XN) - (nCt)ɂ͑ΉĂ܂B
 *
 * @param ip IPAhX
 * @return gp\ȕō\Ăꍇ true łȂꍇ false
 */
function isValidIPAddress(ip) {
  if (ip.match(/^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/)) {
    return true;
  }
  return false;
}

/**
 * WI{^܂̓`FbN{bNXIĂ邩肵܂B
 *
 * @param objRaCh WI{^܂̓`FbN{bNX
 * @return IĂꍇ true ĂȂꍇ false
 */
function isSelected(objRaCh) {
  if (typeof(objRaCh) != 'undefined') {
    if (objRaCh.length) {
      for (i=0; i<objRaCh.length; i++) {
        if (objRaCh[i].checked) {
          return true;
        }
      }
    } else {
      return objRaCh.checked;
    }
  }
  return false;
}

/**
 * `FbN{bNXSđI܂͉܂B
 *
 * @param objSrcCheckbox `FbN{bNX ()checkFlag
 * @param objDstCheckbox `FbN{bNX
 *      objSrcCheckbox Ŏw肳ꂽ`FbN{bNX̏Ԃɓ܂B
 */
function syncChecked(objSrcCheckbox, objDstCheckbox) {
  var b = objSrcCheckbox.checked;
  setChecked(objDstCheckbox, b);
}
function setChecked(objDstCheckbox, b) {
  if (typeof(objDstCheckbox) != 'undefined') {
    if (typeof(objDstCheckbox.length) == 'undefined') {
      // `FbN{bNXP̏ꍇ
      objDstCheckbox.checked = b;
    } else {
      for (i=0; i<objDstCheckbox.length; i++) {
        objDstCheckbox[i].checked = b;
      }
    }
  }
}
